%{?nodejs_find_provides_and_requires}

%global packagename buffertools
%global enable_tests 1

Name:		nodejs-buffertools
Version:	2.1.3
Release:	19%{?dist}
Summary:	Working with node.js buffers made easy

License:	ISC
URL:		https://github.com/bnoordhuis/node-buffertools
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz

# Patch for building on ARM
Patch0:		nodejs-buffertools_signed_char.patch

# Patch to use the nodejs "bindings" module instead of hardcoding the path
Patch1:		nodejs-buffertools_use-bindings.patch

ExclusiveArch:	%{nodejs_arches}

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	node-gyp
BuildRequires:	nodejs-devel
BuildRequires:	npm(bindings)
%endif

%description
Working with node.js buffers made easy.


%prep
%setup -q -n package
%patch0 -p2
%patch1 -p2


%build
%nodejs_symlink_deps --build
export CXXFLAGS="%{optflags}"
export LDFLAGS="%{?__global_ldflags} -Wl,-z,undefs"
node-gyp rebuild


%install
mkdir -p %{buildroot}%{nodejs_sitearch}/%{packagename}/build/Release
cp -p package.json buffertools.js %{buildroot}%{nodejs_sitearch}/%{packagename}/
cp -p build/Release/%{packagename}.node %{buildroot}%{nodejs_sitearch}/%{packagename}/build
%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%__nodejs test.js
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitearch}/%{packagename}



%changelog
* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.3-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Tue Jan 23 2018 Tom Hughes <tom@compton.nu> - 2.1.3-18
- Export LDFLAGS for hardened build support
- Allow undefined symbols in the shared object

* Thu Aug 10 2017 Tom Hughes <tom@compton.nu> - 2.1.3-17.2
- Rebuild for Node.js 8.3.0

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.3-16.2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.3-15.2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Wed Jun 28 2017 Tom Hughes <tom@compton.nu> - 2.1.3-14.2
- Rebuild for Node.js 8.1.2

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.3-14.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Aug 29 2016 Tom Hughes <tom@compton.nu> - 2.1.3-13.1
- Rebuild for Node.js 6.5.0

* Mon May 09 2016 Stephen Gallagher <sgallagh@redhat.com> - 2.1.3-12.1
- Rebuild for Node.js 6.1.0 upgrade

* Tue Mar 29 2016 Tom Hughes <tom@compton.nu> - 2.1.3-12
- Rebuild for Node.js 5.x

* Wed Mar 23 2016 Tom Hughes <tom@compton.nu> - 2.1.3-11
- Rebuild for Node.js 4.4.x

* Wed Feb 10 2016 Jared Smith <jsmith@fedoraproject.org> - 2.1.3-10
- Rebuilt for newer nodejs

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.3-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jan 20 2016 Stephen Gallagher <sgallagh@redhat.com> - 2.1.3-8
- Rebuild for Node.js 4.x

* Tue Jan 19 2016 Jared Smith <jsmith@fedoraproject.org> - 2.1.3-7
- Add missing BuildRequires for bindings

* Tue Jan 19 2016 Jared Smith <jsmith@fedoraproject.org> - 2.1.3-6
- Add patch to use npm(buffertools) to handle path to native code

* Tue Jan 19 2016 Jared Smith <jsmith@fedoraproject.org> - 2.1.3-4
- Add patch to build on ARM

* Tue Jan 19 2016 Jared Smith <jsmith@fedoraproject.org> - 2.1.3-3
- Better handle installation of the output of node-gyp compilation

* Tue Jan 19 2016 Jared Smith <jsmith@fedoraproject.org> - 2.1.3-2
- Fix minor packaging issue for package review

* Thu Oct 22 2015 Jared Smith <jsmith@fedoraproject.org> - 2.1.3-1
- Initial packaging
